package com.sqx.modules.shop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.shop.entity.SearchHistory;

public interface SearchHistoryService extends IService<SearchHistory> {

    void insertSearchHistory(Long userId, String impotr);

    Result selectSearchHistory(Long userId, Integer page, Integer limit);

    Result deleteSearchHistory(Long userId);

}
